// 获取人员定位模块查询项的数据字典
import request from '@/utils/request'
/**
 * 获取下拉框的选项数据
 * @param {string} type
 * 建筑 - Build
 * 人员类型 - PersonType
 * 分层部门 - Department
 * 岗位 - Position
 * 性别 - Sex
 * 标签 - Label
 * 分层人员 - Name
 * 四色图 - RiskLevel
 * 角色 - Role
 * 图标类型 - IocnType
 * 子菜单 - Children
 * 子菜单ID - ChildrenStr
 * 配置类型 - ConfigureType
 * @returns
 */
export function getOptions(type, data) {
  return request({
    url: `system/options/get${type}Options`,
    method: 'post',
    data
  })
}

export function uploadFile(type) {
  return request({
    url: 'file/uploadFile',
    method: 'post'
  })
}
